Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1414034 - RHEL 7.3 won't install with 1 GB RAM
Summary: RHEL 7.3 won't install with 1 GB RAM
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: anaconda
Version: 7.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Anaconda Maintenance Team
QA Contact: Release Test Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-17 15:08 UTC by Lukas Zapletal
Modified: 2017-05-17 16:05 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-03 14:13:29 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Lukas Zapletal 2017-01-17 15:08:12 UTC
Hello,

according to this document, 1 GB is minimum RAM for RHEL7 x86_64:

https://access.redhat.com/articles/rhel-limits

I encounter random errors "Pane is dead" or random freeze when installing RHEL 7.3 via kickstart in text mode. This is a regression. This used to work just fine with RHEL 7.2 and 800 MB RAM, however the recent update no longer works.

Steps to reproduce:

1) Create a VM with 1 GB RAM and 50 GB disk
2) Install the system, check all possible yum groups
3) Boot the system, save the kickstart and try again via kickstart
4) Try again with text mode (provide "text" and "skipx" statements in the KS)

The reproducer is not guaranteed, I sometimes get the system provisioned, but sometimes not. I will share my kickstart.

Comment 2 Lukas Zapletal 2017-01-19 13:08:55 UTC
Extra information: I have some extra steps in post scriplets like installing and running Puppet, but Anaconda does not get there, it usually freezes before package installation starts.

Comment 3 Lukas Zapletal 2017-01-19 13:14:56 UTC
The

find /var/lib/tftpboot/boot

was empty for some reason.

I did

yum reinstall foreman-discovery-image

which fixed the issue.

Comment 4 Samantha N. Bueno 2017-05-03 14:13:29 UTC
So, sounds like this can be closed as NOTABUG, but please feel free to file a new bug if you come across another issue.

Regarding the minimum RAM however, we have actually identified that as a section in the documentation which needed to be updated. That discussion can be viewed here in bug 1410948

Comment 5 Lukas Zapletal 2017-05-05 11:47:50 UTC
Ok but shoudn't we aim for 1 GB as minimum RAM requirement? Is there some optimalizations that can be done in Anaconda? I hope we are planning to bring this down a bit long-term ;-) Thanks.

Comment 6 Samantha N. Bueno 2017-05-16 11:49:24 UTC
(In reply to Lukas Zapletal from comment #5)
> Ok but shoudn't we aim for 1 GB as minimum RAM requirement?

There are very few machines now which have one GB or less of RAM. Your standard smart phone these days comes equipped with about four GB. My router has more than one GB of memory. It just doesn't make sense to make this a goal.

> Is there some
> optimalizations that can be done in Anaconda? I hope we are planning to
> bring this down a bit long-term ;-) Thanks.

We tried solving this in the past by having anaconda maintain its own very minimal root image with our own init, etc. -- just to keep the RAM requirement low. This became a huge maintenance nightmare, which is why we don't do it anymore.

There are no optimizations which can be done in anaconda. This has to do with various tools and things that are out of our direct control.

Comment 7 Evgeni Golov 2017-05-16 12:01:25 UTC
(In reply to Samantha N. Bueno from comment #6)
> (In reply to Lukas Zapletal from comment #5)
> > Ok but shoudn't we aim for 1 GB as minimum RAM requirement?
> 
> There are very few machines now which have one GB or less of RAM. Your
> standard smart phone these days comes equipped with about four GB. My router
> has more than one GB of memory. It just doesn't make sense to make this a
> goal.

While I would agree with you for actual hardware, it is quite a different story when you go virtual.
Digital Ocean (silly example, I know, but the quickest I have at hand) has droplets with 512M, 1G, 2G, 4G, …. So you would need at least the 2G one to be able to install RHEL.
Hetzner, probably Germany's biggest root server provider, offers 1GB VMs.

> We tried solving this in the past by having anaconda maintain its own very
> minimal root image with our own init, etc. -- just to keep the RAM
> requirement low. This became a huge maintenance nightmare, which is why we
> don't do it anymore.

Is the minimal requirement documented somewhere? I could not find it last time I looked (but I must admit, I did not look today).

Comment 8 Lukas Zapletal 2017-05-17 15:48:26 UTC
https://access.redhat.com/articles/rhel-limits

Comment 9 Lukas Zapletal 2017-05-17 15:48:40 UTC
https://access.redhat.com/articles/rhel-limits

Comment 10 Evgeni Golov 2017-05-17 16:05:27 UTC
(In reply to Lukas Zapletal from comment #9)
> https://access.redhat.com/articles/rhel-limits

That says 1GB and 1 CPU is enough. But it isn't.


Note You need to log in before you can comment on or make changes to this bug.